--------------------------------------------------------------------------------
-- Title				:	Feed through for controller
-- Project			:	Sample code
-- File				:	toggle_feed.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:	Feed through program for getting signals from
--							Atmel controller and displaying on LEDS.
--							Takes only Port 0 & 2
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity toggle_feed is
    Port ( p0_in : in std_logic_vector(7 downto 0);
           p0_led : out std_logic_vector(7 downto 0);
           p2_in : in std_logic_vector(7 downto 0);
           p2_led : out std_logic_vector(7 downto 0));
end toggle_feed;

architecture Behavioral of toggle_feed is

begin

p0_led	<= p0_in;
p2_led	<= p2_in;

end Behavioral;
